package ejb31.war.servlet;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.ejb.DependsOn;
import javax.ejb.Singleton;

@Singleton
public class BeanLeaf {


    @EJB
    private BeanMessage msg;
    
    @PostConstruct
    public void afterConstruct() {
        System.out.println("------------------------------------");
        System.out.println("-----PostConstruct in BeanLeaf------");
        System.out.println("------------------------------------");
        msg.appendMessage("PostBeanLeaf");
    }

    public String sayHello() {
        msg.appendMessage("PostBeanLeaf"); 
        return "Hello from: " + this.getClass().getName() + "; " + System.identityHashCode(this);
    }
    
}
